## ros-indigo-ntpd-driver 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ntpd_driver)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  message_generation
  message_runtime
  roscpp
  sensor_msgs
  cmake_modules
)

find_package(Poco REQUIRED COMPONENTS Foundation)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS sensor_msgs
  DEPENDS Poco
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
  ${Poco_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(shm_driver src/shm_driver.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(shm_driver
  ${catkin_LIBRARIES}
  ${Poco_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executables and/or libraries for installation
install(TARGETS shm_driver
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

# vim: ts=2 sw=2 et:

=== debian/changelog ===
ros-indigo-ntpd-driver (1.2.0-0trusty) trusty; urgency=high

  * #2 <https://github.com/vooon/ntpd_driver/issues/2>: allow both UDPROS and TCPROS
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 01 Oct 2015 21:00:00 -0000

ros-indigo-ntpd-driver (1.1.1-0trusty) trusty; urgency=high

  * Syncronize shm write with gpsd/ntpshmwrite.c
  * Add fixup_date parameter.
    Now driver can setup system date.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 17 Jul 2015 21:00:00 -0000

ros-indigo-ntpd-driver (1.1.0-0trusty) trusty; urgency=high

  * Update package.xml for REP 140
  * Change topic param name to ~/time_ref_topic
  * Merge pull request #1 <https://github.com/vooon/ntpd_driver/issues/1> from oceansystemslab/master
    Updated Driver
  * Updated README with new node input parameter
  * fixed indentation according to ROS guidelines and added input parameter for time reference topic
  * Removed transport hints to allow the driver to work with the nmea_serial_driver Python publisher and added ROS style indentation.
  * Updated .gitignore with C++ version on GitHub
  * Contributors: Valerio De Carolis, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 16 Apr 2015 21:00:00 -0000

ros-indigo-ntpd-driver (1.0.2-0trusty) trusty; urgency=high

  * Add example launch script.
  * Add rosindex metadata.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 23 Jan 2015 21:00:00 -0000

ros-indigo-ntpd-driver (1.0.1-0trusty) trusty; urgency=high

  * Rename package from ros2ntpd to ntpd_driver
    Add notes for chrony.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 12 Jul 2014 20:00:00 -0000

ros-indigo-ntpd-driver (1.0.0-0trusty) trusty; urgency=high

  * Update readme
  * Add readme
  * Update shmTime struct to latest version.
    Fix: change leap=0 will fix ntpd receive.
  * Initial
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 27 Jun 2014 20:00:00 -0000

=== debian/control ===
Source: ros-indigo-ntpd-driver
Section: misc
Priority: extra
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libpoco-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: http://wiki.ros.org/ntpd_driver
Standards-Version: 3.9.2

Package: ros-indigo-ntpd-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpoco-dev, ros-indigo-cmake-modules, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: ntpd_driver sends TimeReference message time to ntpd server

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ntpd-driver//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
